#include<stdio.h>
int main(){
	int T,N,K,M,i;
	int b;
	scanf("%d",&T);
	for(i=0;i<T;i++){
		scanf("%d %d %d",&N,&M,&K);
		b=N/K;
		if(b*K!=N)b++;
		if(b*(b+1)/2>M)printf("Nie");
		else printf("Tak");
	}
	return 0;
}